Jump to content

Recommended Posts

Voila j'ai installé gsitemap 2.2.11 sur ma nouvelle version P1.5.6.0

 

J'ai 3 boutiques en ligne. => 3 sitemap

 

Le premier:

 

URL1 > produits boutique1 + produits boutique2 + produits boutique3

 

Le deuxieme

 

URL2 > produits boutique1 + produits boutique2 + produits boutique3

 

Le troisieme

URL3 > produits boutique1 + produits boutique2 + produits boutique3

 

Donc pour résumer chaque sitemap d'une boutique a tous les produits des autre boutique

 

Qu'un a une solution ?

 

Cordialement

Share this post


Link to post
Share on other sites

C'est à cause de votre cache, veuillez vider tous les xml de votre fichier config/xml (supprimez tous les fichiers sauf le htaccess)

 

Normalement dans modules on devrait vous proposer la mise à jour après avoir fait ça.

 

 

Bien cordialement,

Share this post


Link to post
Share on other sites

Voila j'ai vidé les xml, ils se sont reconstitues. La seules mise a jour que j'ai eu de proposée c'est sur le module 1 click. google gsitemap est en version 2.2.11. Vous avez quelle version ? Vous pourriez m'envoyer la nouvelle version ?

 

Cordialement

Share this post


Link to post
Share on other sites

Ok j'ai instalé la nouvelle version.  C'est exactement le même problème j'ai dans le sitemap d'une boutique tous les produits de cette boutique + les produits des autres boutiques.

 

En prime j'ai des url styles "http://www.mes-piles.fr/index.php?controller=product_rule&id=9&rewrite=pantone-huey-colorim%C3%A8tre-calibrateur-d-%C3%A9crans-meu101&ean13=874086001967&meta_keywords=&meta_title=" quand je décoche une des cases "Quelles pages voulez vous exclure de votre sitemap?"

 

Vous pouvez le voir ici:

 

http://www.mes-piles.fr/3_index_sitemap.xml

 

Cordialement

Share this post


Link to post
Share on other sites

Bonjour Encrecom,

 

Pouvez-vous m'envoyer un fichier généré par le sitemap dans lequel il y a le problème des produits de la boutique en question + des produits de toutes les boutiques à cette adresse mail : vincent.terenti@prestashop.com

 

 

Bien cordialement,

Share this post


Link to post
Share on other sites

Bonjour,

quand je veux installer le module gsitemap voici le message d'erreur;

Le ou les modules suivants n'ont pas été correctement installés :

  • - gsitemap :
    Impossible d'installer la surcharge

 

Pouvez vous m'aider merci

Share this post


Link to post
Share on other sites

hélas.... je me suis réjouit trop vite :(

 

tout fonctionnait bien, plus de problème de date etc... j'avais alors 100 produits dans la boutique.

 

et puis j'ai importé mes 5000 produits ... et là impossible de générer un sitemap. La génération se lance et au bout de 30 secondes puis apparait une erreur 404

 

J'ai augmenté les valeurs max_execution_time à 360, memory_limite à 1024 mais rien n*y fait

 

Je ne pense pas que cela vienne des 5000 produits car je les avais déjà avant en 1.5.5.0 et le sitemap se créait sans problème au bout de 2 minutes. Là ça coupe bien avant

Share this post


Link to post
Share on other sites

hélas.... je me suis réjouit trop vite :(

 

tout fonctionnait bien, plus de problème de date etc... j'avais alors 100 produits dans la boutique.

 

et puis j'ai importé mes 5000 produits ... et là impossible de générer un sitemap. La génération se lance et au bout de 30 secondes puis apparait une erreur 404

 

J'ai augmenté les valeurs max_execution_time à 360, memory_limite à 1024 mais rien n*y fait

 

Je ne pense pas que cela vienne des 5000 produits car je les avais déjà avant en 1.5.5.0 et le sitemap se créait sans problème au bout de 2 minutes. Là ça coupe bien avant

 

 

Bonjour Frenchmaster,

 

Pouvez-vous activer vos erreurs en activant le mode DEV? Vous en saurez plus sur le porblème, peut être un soucis de droits ou de htaccess modifié

 

 

Bien cordialement,

Share this post


Link to post
Share on other sites

Avez-vous déjà un fichier shop.php dans /override/classes/

 

C'est surement un problème de droits

 

 

Bien cordialement,

oui j'ai bien le fichier shop.php et il est a 775 mais ca ne fonctionne toujours pas

Share this post


Link to post
Share on other sites

Bonjour Frenchmaster,

 

Pouvez-vous activer vos erreurs en activant le mode DEV? Vous en saurez plus sur le porblème, peut être un soucis de droits ou de htaccess modifié

 

 

Bien cordialement,

 

Problème résolu : j'ai effacé tous les caches depuis /paramètres avancés/performances et tout a fonctionné.

Edited by FrenchMaster (see edit history)

Share this post


Link to post
Share on other sites

Avez-vous déjà un fichier shop.php dans /override/classes/

 

C'est surement un problème de droits

 

 

Bien cordialement,

Bonjour,

j'ai supprimé le fichier shop.php et ca fonctionne j'ai pu l'installer

merci bonne journée

Share this post


Link to post
Share on other sites
  • 1 month later...

Bonjour,

 

J'ai également quelques soucis avec ce module.

Version du module 2.3.2 et PS 1.5.4.1

 

A l'install il ne m'a pas copié l'override de Shop.php, mais le module à l'air de marcher sans.

 

Par contre au niveau des url générées pour le sitmap XML, mes paramètres de réécriture d'URL (modifié dans Préférences-> SEO & URL) ne sont pas pris en compte.

 

Cordialement

 

En gros j'ai changé l'url de base des produits de {category}{id}-{rewrite}{-:ean13}.html à  {id}-{rewrite}{-:ean13}.html pour ne plus avoir le nom de la catégorie et changé pour les pages CMS "content" par "pages" mais rien à faire, même après vidage de cache, le sitemap renseigne toujours les URL de base de Prestashop mais ne prend pas en compte mes modifs.

 

Quelqu'un a t'il le même souci ?

Share this post


Link to post
Share on other sites

Bonjour Vincent,

 

Je viens d'essayer avec une 1.5.5.0 ... même bug à l'install, l'override n'est pas copié. Visiblement le chemin de l'override n'est pas le bon.

Dans le module c'est : \gsitemap\override\classes\Shop.php alors que cela devrait être \gsitemap\override\classes\shop\Shop.php.

Une fois le module installé, il y a un autre bug avec la méthode _contruct(), une fois celle-ci commentée, le module s'installe bien.

 

Bonne nouvelle, mes url personnalisées sont bien pris en compte. Le seul souci c'est que nous avons fait pas mal de développement spécifique sur notre version 1.5.4.1 pour passer à la 1.5.5.0 en prod sans faire de longs recettages. Je n'ai plus qu'à creuser pour trouver la différence entre la 1.5.4.1 et la 1.5.5.0... A moins que vous ayez une petite idée sur la question.

 

Merci et bonne journée.

Share this post


Link to post
Share on other sites
  • 1 year later...

Bonjour, j'ai un autre souci en 1.6.5.9. j'ai désinstallé le mode et l'ai réinstallé depuis le fichier. 

 

url importée dans google merchant center : http://e-shopping.ovh/presta/1_index_sitemap.xml

réponse de google : Erreur de Format XML

 

si je clique sur "en savoir plus", j'obtiens ces deux options :

Incohérence au niveau des balises XML
Format de document RSS/Atom incorrect

 

Cordialement

Share this post


Link to post
Share on other sites

url importée dans google merchant center : http://e-shopping.ovh/presta/1_index_sitemap.xml

réponse de google : Erreur de Format XML

 

C'est étonnant car ton fichier XML semble bien formaté. En tout cas c'est le même que le mien et je n'ai pas ce souci.

 

Si tu utilises Google Webmaster tools, tu as tout un tas d'information sur ton fichier sitemap et si jamais ça continue à ne pas marcher tu peux aussi essayer de renseigner l'url réelle du ton sitemap : http://e-shopping.ovh/presta/1_fr_0_sitemap.xml

 

bon courage.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More